Subject: bug#39280: 27.0.60; wdired-get-filename ignores first argument

From: Stephen Berman <[email-masked]>
Date: Sun, 26 Jan 2020 11:47:06 +0100

On Sat, 25 Jan 2020 22:13:10 +0100 (CET) Tino Calancha <[email-masked]> wrote:

> On Sat, 25 Jan 2020, Stephen Berman wrote:
>
>> On Sat, 25 Jan 2020 21:05:05 +0100 Tino Calancha <[email-masked]> wrote:
>>
>>> emacs -Q /tmp
>>> M-! touch foo RET
>>> g
>>> j foo RET
>>> C-x C-q
>>> M-: (wdired-get-filename 'local t) RET
>>> => "/tmp/foo"
>>> ;; Expected: "foo"
>>
>> Do you have a use case for this?
> No, I don't have one.

I see you do now, as a possible fix for bug#39284.

>> AFAICS in wdired.el there are no uses
>> of wdired-get-filename with both of its arguments non-nil.
>
> Right, that's why we haven't detected this bug before.
> I was playing a bit with wdired this month, and when I tried
> to call this function with both args non-nil I got unexpected results.

Ok.

Steve Berman